Subject: Re: [MMUSIC] ice-tcp review

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 27 Jun 2006 09:37:39 -0400

thanks for the comments, Tim. Responses inline.

Tim Moore wrote:

>  
> 
> 11.  Binding Keepalives
> 
> This section contains
> 
> the definition of framing over tcp
> 
> how to demultiplex rtp/stun.
> 
>  
> 
> The framing is tcp specific.
> 
> The demultiplexing is generic to udp and tcp but I can’t find this 
> description in ice. Shouldn’t the demultiplex description be in the ice 
> draft

It is in there, but in an odd place (section 7.8 of ICE-08). I added the 
same demux rule to the binding keepalive section of ice-09 as well.

> 
> Note: This comment affects the ice draft as well if accepted
> 
>  
> 
> 5.  Encoding
> 
>    “Encoding of the m/c-line, however, requires special considerations
> 
>    for TCP.  If there is no active candidate, the media session MUST
> 
>    include an a=holdconn attribute as defined in RFC 4145 [3].”
> 
>  
> 
> I believe you mean if the m/c line is TCP and it is not active then 
> a=holdconn must be included but the wording isn’t very clear

reworded to say:

<t> Encoding of the m/c-line, however,
requires special considerations for TCP. If the m/c-line is TCP, and
there is no operating candidate, the a=holdconn attribute as defined
in RFC 4145 <xref target="RFC4145"/> MUST be included. This has the
effect of suspending opening of the

> 
>  
> 
> 7.  Performing the Connectivity Checks
> 
> I believe Erkki’s comment on MAPPED-ADDRESS should be XOR-MAPPED-ADDRESS 
> applies.

fixed.

> 
>  
> 
>  
> 
> The following are editing nits
> 
>  
> 
> 2 occurrences of “acpass” which should be actpass
> 
> 2 occurrences of “procedurs” which should be procedures
> 
fixed

>  
> 
> 7.  Performing the Connectivity Checks
> 
>   “Even Ta seconds, the agent performs a new connection attempt.  This”
> 
> Should be
> 
>   “Every Ta seconds, the agent performs a new connection attempt.  This”

fixed.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic